Subject: Re: bug#74312: 31.0.50; Cygw32 build break

From: Eli Zaretskii <[email-masked]>
Date: Thu, 14 Nov 2024 11:39:47 +0200

> Date: Thu, 14 Nov 2024 09:55:56 +0100
> From: Cecilio Pardo <[email-masked]>
> 
> On 13/11/2024 16:55, Kazuhiro Ito wrote:
> >>> Both Emacsen may fail to handle dropped files if I do drag-n-drop
> >>> files very quickly.  I confirmed Microsoft Photo application on
> >>> Windows 11.  And, once Emacs failed to handle drop event, it keeps
> >>> ignoring dropping files or text event.
> >>
> >> I will look into this.
> > 
> > As far as I tested, drag-n-drop from Microsoft Photo worked only the
> > first time.  Second operation was ignored.  Quick operation may fail
> > even at the first time.  Drag-n-drop from explorer worked expectedly.
> 
> This should fix the Photo application problem.
> 
> I didn't expect ref counting to be needed for this, my bad.

Thanks.  Can you tell more about the root cause of the problem and how
it is solved using reference counting?